#3142 closed enhancement (fixed)

POSIX: Reduce size of pthread_once_t and make it zero-initialized

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: posix Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

A zero-initialized pthread_once_t reduces the ROM usage of RTEMS applications, since the global pthread_once_t objects may reside in the BSS section.

Change History (6)

comment:1 Changed on Sep 19, 2017 at 11:18:05 AM by Sebastian Huber

Status: assignedaccepted

comment:2 Changed on Sep 19, 2017 at 11:18:34 AM by Sebastian Huber

Summary: POSIX: Reduce size of pthread_once_t and make it llow zero-initializedPOSIX: Reduce size of pthread_once_t and make it zero-initialized

comment:3 Changed on Oct 5, 2017 at 12:36:06 PM by Sebastian Huber <sebastian.huber@…>

In 47b1e31/rtems:

posix: Optimize pthread_once_t

Reduce size of pthread_once_t and make it zero-initialized.

Update #3142.

comment:4 Changed on Oct 6, 2017 at 12:48:57 PM by Sebastian Huber

Resolution: fixed
Status: acceptedclosed

Fixed with latest RSB.

Last edited on Oct 6, 2017 at 12:49:17 PM by Sebastian Huber (previous) (diff)

comment:5 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:6 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.